Page MenuHomePhabricator

Choose capitalization for internal links
Closed, ResolvedPublic8 Estimated Story Points

Description

Steps to reproduce:

  1. Place the cursor in the body of the page.
  1. Click the link button in the toolbar.
  1. Type the page you want, with a lowercase letter: example
  1. Get a link to the page with an uppercase letter: Example

It would be nice if the result matched the leading capitalization you typed.

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Low.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF added a project: VisualEditor.
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 11 2015, 6:03 PM
99of9 added a subscriber: 99of9.Nov 12 2015, 12:06 AM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
Elitre added a subscriber: Elitre.May 16 2016, 2:56 PM

Change 344375 had a related patch set uploaded (by Esanders):
[mediawiki/extensions/VisualEditor@master] Use original title or normalized title when inserting link text

https://gerrit.wikimedia.org/r/344375

Change 344375 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Use original title or normalized title when inserting link text

https://gerrit.wikimedia.org/r/344375

Jdforrester-WMF closed this task as Resolved.Mar 24 2017, 10:38 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF moved this task from Freezer to TR1: Releases on the VisualEditor board.
Jdforrester-WMF changed the point value for this task from 8 to 0.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 24 2017, 10:38 PM
Jdforrester-WMF changed the point value for this task from 0 to 8.Mar 24 2017, 10:38 PM
Jdforrester-WMF removed a project: Patch-For-Review.